aboutsummaryrefslogtreecommitdiffstats
path: root/rc.d
diff options
context:
space:
mode:
authorDavide Cavalca <dcavalca@fb.com>2016-10-12 15:17:58 +0200
committerLukáš Nykrýn <lnykryn@redhat.com>2016-10-12 15:23:44 +0200
commit6a8383b971cf1f72eea6780291953c524c835ba0 (patch)
tree350edc107ea3b6d4688c92c8676b57ab7ffe15a7 /rc.d
parent260664a540f9ca4fa59cf25753b71b934a606d0d (diff)
downloadinitscripts-6a8383b971cf1f72eea6780291953c524c835ba0.tar
initscripts-6a8383b971cf1f72eea6780291953c524c835ba0.tar.gz
initscripts-6a8383b971cf1f72eea6780291953c524c835ba0.tar.bz2
initscripts-6a8383b971cf1f72eea6780291953c524c835ba0.tar.xz
initscripts-6a8383b971cf1f72eea6780291953c524c835ba0.zip
network: remove tabs and fix spacing
Diffstat (limited to 'rc.d')
-rwxr-xr-xrc.d/init.d/network404
1 files changed, 202 insertions, 202 deletions
diff --git a/rc.d/init.d/network b/rc.d/init.d/network
index 541a4005..aec8b62a 100755
--- a/rc.d/init.d/network
+++ b/rc.d/init.d/network
@@ -23,7 +23,7 @@ fi
. /etc/sysconfig/network
if [ -f /etc/sysconfig/pcmcia ]; then
- . /etc/sysconfig/pcmcia
+ . /etc/sysconfig/pcmcia
fi
@@ -42,212 +42,212 @@ cd /etc/sysconfig/network-scripts
# find all the interfaces besides loopback.
# ignore aliases, alternative configurations, and editor backup files
interfaces=$(ls ifcfg-* | \
- LC_ALL=C sed -e "$__sed_discard_ignored_files" \
- -e '/\(ifcfg-lo$\|:\|ifcfg-.*-range\)/d' \
- -e '{ s/^ifcfg-//g;s/[0-9]/ &/}' | \
- LC_ALL=C sort -k 1,1 -k 2n | \
- LC_ALL=C sed 's/ //')
+ LC_ALL=C sed -e "$__sed_discard_ignored_files" \
+ -e '/\(ifcfg-lo$\|:\|ifcfg-.*-range\)/d' \
+ -e '{ s/^ifcfg-//g;s/[0-9]/ &/}' | \
+ LC_ALL=C sort -k 1,1 -k 2n | \
+ LC_ALL=C sed 's/ //')
rc=0
# See how we were called.
case "$1" in
- start)
- [ "$EUID" != "0" ] && exit 4
- rc=0
- # IPv6 hook (pre IPv4 start)
- if [ -x /etc/sysconfig/network-scripts/init.ipv6-global ]; then
- /etc/sysconfig/network-scripts/init.ipv6-global start pre
- fi
-
- apply_sysctl
-
- #tell NM to reload its configuration
- if [ "$(LANG=C nmcli -t --fields running general status 2>/dev/null)" = "running" ]; then
- nmcli connection reload
- fi
-
- # bring up loopback interface
- action $"Bringing up loopback interface: " ./ifup ifcfg-lo
-
- case "$VLAN" in
- yes)
- if [ ! -d /proc/net/vlan ] && ! modprobe 8021q >/dev/null 2>&1 ; then
- net_log $"No 802.1Q VLAN support available in kernel."
- fi
- ;;
- esac
-
- vlaninterfaces=""
- vpninterfaces=""
- xdslinterfaces=""
- bridgeinterfaces=""
-
- # bring up all other interfaces configured to come up at boot time
- for i in $interfaces; do
- unset DEVICE TYPE SLAVE NM_CONTROLLED
- eval $(LANG=C grep -F "DEVICE=" ifcfg-$i)
- eval $(LANG=C grep -F "TYPE=" ifcfg-$i)
- eval $(LANG=C grep -F "SLAVE=" ifcfg-$i)
- eval $(LANG=C grep -F "NM_CONTROLLED=" ifcfg-$i)
-
- if [ -z "$DEVICE" ] ; then DEVICE="$i"; fi
-
- if [ "$SLAVE" = "yes" ] && ( ! is_nm_running || is_false $NM_CONTROLLED ) ; then
- continue
- fi
-
- if [ "${DEVICE##cipcb}" != "$DEVICE" ] ; then
- vpninterfaces="$vpninterfaces $i"
- continue
- fi
- if [ "$TYPE" = "xDSL" -o "$TYPE" = "Modem" ]; then
- xdslinterfaces="$xdslinterfaces $i"
- continue
- fi
-
- if [ "$TYPE" = "Bridge" ]; then
- bridgeinterfaces="$bridgeinterfaces $i"
- continue
- fi
- if [ "$TYPE" = "IPSEC" ] || [ "$TYPE" = "IPIP" ] || [ "$TYPE" = "GRE" ]; then
- vpninterfaces="$vpninterfaces $i"
- continue
- fi
-
- if [ "${DEVICE%%.*}" != "$DEVICE" -o "${DEVICE##vlan}" != "$DEVICE" ] ; then
- vlaninterfaces="$vlaninterfaces $i"
- continue
- fi
-
- if LANG=C grep -EL "^ONBOOT=['\"]?[Nn][Oo]['\"]?" ifcfg-$i > /dev/null ; then
- # this loads the module, to preserve ordering
- is_available $i
- continue
- fi
- action $"Bringing up interface $i: " ./ifup $i boot
- [ $? -ne 0 ] && rc=1
- done
-
- # Bring up xDSL and VPN interfaces
- for i in $vlaninterfaces $bridgeinterfaces $xdslinterfaces $vpninterfaces ; do
- if ! LANG=C grep -EL "^ONBOOT=['\"]?[Nn][Oo]['\"]?" ifcfg-$i >/dev/null 2>&1 ; then
- action $"Bringing up interface $i: " ./ifup $i boot
- [ $? -ne 0 ] && rc=1
- fi
- done
-
- # Add non interface-specific static-routes.
- if [ -f /etc/sysconfig/static-routes ]; then
- if [ -x /sbin/route ]; then
- grep "^any" /etc/sysconfig/static-routes | while read ignore args ; do
- /sbin/route add -$args
- done
- else
- net_log $"Legacy static-route support not available: /sbin/route not found"
- fi
- fi
-
- # IPv6 hook (post IPv4 start)
- if [ -x /etc/sysconfig/network-scripts/init.ipv6-global ]; then
- /etc/sysconfig/network-scripts/init.ipv6-global start post
- fi
- # Run this again to catch any interface-specific actions
- apply_sysctl
-
- touch /var/lock/subsys/network
-
- [ -n "${NETWORKDELAY}" ] && /bin/sleep ${NETWORKDELAY}
+start)
+ [ "$EUID" != "0" ] && exit 4
+ rc=0
+ # IPv6 hook (pre IPv4 start)
+ if [ -x /etc/sysconfig/network-scripts/init.ipv6-global ]; then
+ /etc/sysconfig/network-scripts/init.ipv6-global start pre
+ fi
+
+ apply_sysctl
+
+ #tell NM to reload its configuration
+ if [ "$(LANG=C nmcli -t --fields running general status 2>/dev/null)" = "running" ]; then
+ nmcli connection reload
+ fi
+
+ # bring up loopback interface
+ action $"Bringing up loopback interface: " ./ifup ifcfg-lo
+
+ case "$VLAN" in
+ yes)
+ if [ ! -d /proc/net/vlan ] && ! modprobe 8021q >/dev/null 2>&1 ; then
+ net_log $"No 802.1Q VLAN support available in kernel."
+ fi
;;
- stop)
- [ "$EUID" != "0" ] && exit 4
- # Don't shut the network down if root is on NFS or a network
- # block device.
- rootfs=$(awk '{ if ($1 !~ /^[ \t]*#/ && $2 == "/" && $3 != "rootfs") { print $3; }}' /proc/mounts)
- rootopts=$(awk '{ if ($1 !~ /^[ \t]*#/ && $2 == "/") { print $4; }}' /etc/mtab)
-
- if [[ "$rootfs" == nfs* || "$rootopts" =~ _r?netdev ]] || systemctl show --property=RequiredBy -- -.mount | grep -q 'remote-fs.target' ; then
- net_log $"rootfs is on network filesystem, leaving network up"
- exit 1
- fi
-
- vlaninterfaces=""
- vpninterfaces=""
- xdslinterfaces=""
- bridgeinterfaces=""
- remaining=""
- rc=0
-
- # get list of bonding, vpn, and xdsl interfaces
- for i in $interfaces; do
- unset DEVICE TYPE
- eval $(LANG=C grep -F "DEVICE=" ifcfg-$i)
- eval $(LANG=C grep -F "TYPE=" ifcfg-$i)
-
- if [ -z "$DEVICE" ] ; then DEVICE="$i"; fi
-
- if [ "${DEVICE##cipcb}" != "$DEVICE" ] ; then
- vpninterfaces="$vpninterfaces $i"
- continue
- fi
- if [ "$TYPE" = "IPSEC" ] || [ "$TYPE" = "IPIP" ] || [ "$TYPE" = "GRE" ]; then
- vpninterfaces="$vpninterfaces $i"
- continue
- fi
- if [ "$TYPE" = "Bridge" ]; then
- bridgeinterfaces="$bridgeinterfaces $i"
- continue
- fi
- if [ "$TYPE" = "xDSL" -o "$TYPE" = "Modem" ]; then
- xdslinterfaces="$xdslinterfaces $i"
- continue
- fi
-
- if [ "${DEVICE%%.*}" != "$DEVICE" -o "${DEVICE##vlan}" != "$DEVICE" ] ; then
- vlaninterfaces="$vlaninterfaces $i"
- continue
- fi
- remaining="$remaining $i"
- done
-
- for i in $vpninterfaces $xdslinterfaces $bridgeinterfaces $vlaninterfaces $remaining; do
- unset DEVICE TYPE
- (. ./ifcfg-$i
- if [ -z "$DEVICE" ] ; then DEVICE="$i"; fi
-
- if ! check_device_down $DEVICE; then
- action $"Shutting down interface $i: " ./ifdown $i boot
- [ $? -ne 0 ] && rc=1
- fi
- )
- done
-
- action $"Shutting down loopback interface: " ./ifdown ifcfg-lo
-
- sysctl -w net.ipv4.ip_forward=0 > /dev/null 2>&1
-
- # IPv6 hook (post IPv4 stop)
- if [ -x /etc/sysconfig/network-scripts/init.ipv6-global ]; then
- /etc/sysconfig/network-scripts/init.ipv6-global stop post
- fi
-
- rm -f /var/lock/subsys/network
- ;;
- status)
- echo $"Configured devices:"
- echo lo $interfaces
-
- echo $"Currently active devices:"
- echo $(/sbin/ip -o link show up | awk -F ": " '{ print $2 }')
- ;;
- restart|reload|force-reload)
- cd "$CWD"
- $0 stop
- $0 start
- rc=$?
- ;;
- *)
- echo $"Usage: $0 {start|stop|status|restart|reload|force-reload}"
- exit 2
+ esac
+
+ vlaninterfaces=""
+ vpninterfaces=""
+ xdslinterfaces=""
+ bridgeinterfaces=""
+
+ # bring up all other interfaces configured to come up at boot time
+ for i in $interfaces; do
+ unset DEVICE TYPE SLAVE NM_CONTROLLED
+ eval $(LANG=C grep -F "DEVICE=" ifcfg-$i)
+ eval $(LANG=C grep -F "TYPE=" ifcfg-$i)
+ eval $(LANG=C grep -F "SLAVE=" ifcfg-$i)
+ eval $(LANG=C grep -F "NM_CONTROLLED=" ifcfg-$i)
+
+ if [ -z "$DEVICE" ] ; then DEVICE="$i"; fi
+
+ if [ "$SLAVE" = "yes" ] && ( ! is_nm_running || is_false $NM_CONTROLLED ) ; then
+ continue
+ fi
+
+ if [ "${DEVICE##cipcb}" != "$DEVICE" ] ; then
+ vpninterfaces="$vpninterfaces $i"
+ continue
+ fi
+ if [ "$TYPE" = "xDSL" -o "$TYPE" = "Modem" ]; then
+ xdslinterfaces="$xdslinterfaces $i"
+ continue
+ fi
+
+ if [ "$TYPE" = "Bridge" ]; then
+ bridgeinterfaces="$bridgeinterfaces $i"
+ continue
+ fi
+ if [ "$TYPE" = "IPSEC" ] || [ "$TYPE" = "IPIP" ] || [ "$TYPE" = "GRE" ]; then
+ vpninterfaces="$vpninterfaces $i"
+ continue
+ fi
+
+ if [ "${DEVICE%%.*}" != "$DEVICE" -o "${DEVICE##vlan}" != "$DEVICE" ] ; then
+ vlaninterfaces="$vlaninterfaces $i"
+ continue
+ fi
+
+ if LANG=C grep -EL "^ONBOOT=['\"]?[Nn][Oo]['\"]?" ifcfg-$i > /dev/null ; then
+ # this loads the module, to preserve ordering
+ is_available $i
+ continue
+ fi
+ action $"Bringing up interface $i: " ./ifup $i boot
+ [ $? -ne 0 ] && rc=1
+ done
+
+ # Bring up xDSL and VPN interfaces
+ for i in $vlaninterfaces $bridgeinterfaces $xdslinterfaces $vpninterfaces ; do
+ if ! LANG=C grep -EL "^ONBOOT=['\"]?[Nn][Oo]['\"]?" ifcfg-$i >/dev/null 2>&1 ; then
+ action $"Bringing up interface $i: " ./ifup $i boot
+ [ $? -ne 0 ] && rc=1
+ fi
+ done
+
+ # Add non interface-specific static-routes.
+ if [ -f /etc/sysconfig/static-routes ]; then
+ if [ -x /sbin/route ]; then
+ grep "^any" /etc/sysconfig/static-routes | while read ignore args ; do
+ /sbin/route add -$args
+ done
+ else
+ net_log $"Legacy static-route support not available: /sbin/route not found"
+ fi
+ fi
+
+ # IPv6 hook (post IPv4 start)
+ if [ -x /etc/sysconfig/network-scripts/init.ipv6-global ]; then
+ /etc/sysconfig/network-scripts/init.ipv6-global start post
+ fi
+ # Run this again to catch any interface-specific actions
+ apply_sysctl
+
+ touch /var/lock/subsys/network
+
+ [ -n "${NETWORKDELAY}" ] && /bin/sleep ${NETWORKDELAY}
+ ;;
+stop)
+ [ "$EUID" != "0" ] && exit 4
+ # Don't shut the network down if root is on NFS or a network
+ # block device.
+ rootfs=$(awk '{ if ($1 !~ /^[ \t]*#/ && $2 == "/" && $3 != "rootfs") { print $3; }}' /proc/mounts)
+ rootopts=$(awk '{ if ($1 !~ /^[ \t]*#/ && $2 == "/") { print $4; }}' /etc/mtab)
+
+ if [[ "$rootfs" == nfs* || "$rootopts" =~ _r?netdev ]] || systemctl show --property=RequiredBy -- -.mount | grep -q 'remote-fs.target' ; then
+ net_log $"rootfs is on network filesystem, leaving network up"
+ exit 1
+ fi
+
+ vlaninterfaces=""
+ vpninterfaces=""
+ xdslinterfaces=""
+ bridgeinterfaces=""
+ remaining=""
+ rc=0
+
+ # get list of bonding, vpn, and xdsl interfaces
+ for i in $interfaces; do
+ unset DEVICE TYPE
+ eval $(LANG=C grep -F "DEVICE=" ifcfg-$i)
+ eval $(LANG=C grep -F "TYPE=" ifcfg-$i)
+
+ if [ -z "$DEVICE" ] ; then DEVICE="$i"; fi
+
+ if [ "${DEVICE##cipcb}" != "$DEVICE" ] ; then
+ vpninterfaces="$vpninterfaces $i"
+ continue
+ fi
+ if [ "$TYPE" = "IPSEC" ] || [ "$TYPE" = "IPIP" ] || [ "$TYPE" = "GRE" ]; then
+ vpninterfaces="$vpninterfaces $i"
+ continue
+ fi
+ if [ "$TYPE" = "Bridge" ]; then
+ bridgeinterfaces="$bridgeinterfaces $i"
+ continue
+ fi
+ if [ "$TYPE" = "xDSL" -o "$TYPE" = "Modem" ]; then
+ xdslinterfaces="$xdslinterfaces $i"
+ continue
+ fi
+
+ if [ "${DEVICE%%.*}" != "$DEVICE" -o "${DEVICE##vlan}" != "$DEVICE" ] ; then
+ vlaninterfaces="$vlaninterfaces $i"
+ continue
+ fi
+ remaining="$remaining $i"
+ done
+
+ for i in $vpninterfaces $xdslinterfaces $bridgeinterfaces $vlaninterfaces $remaining; do
+ unset DEVICE TYPE
+ (. ./ifcfg-$i
+ if [ -z "$DEVICE" ] ; then DEVICE="$i"; fi
+
+ if ! check_device_down $DEVICE; then
+ action $"Shutting down interface $i: " ./ifdown $i boot
+ [ $? -ne 0 ] && rc=1
+ fi
+ )
+ done
+
+ action $"Shutting down loopback interface: " ./ifdown ifcfg-lo
+
+ sysctl -w net.ipv4.ip_forward=0 > /dev/null 2>&1
+
+ # IPv6 hook (post IPv4 stop)
+ if [ -x /etc/sysconfig/network-scripts/init.ipv6-global ]; then
+ /etc/sysconfig/network-scripts/init.ipv6-global stop post
+ fi
+
+ rm -f /var/lock/subsys/network
+ ;;
+status)
+ echo $"Configured devices:"
+ echo lo $interfaces
+
+ echo $"Currently active devices:"
+ echo $(/sbin/ip -o link show up | awk -F ": " '{ print $2 }')
+ ;;
+restart|reload|force-reload)
+ cd "$CWD"
+ $0 stop
+ $0 start
+ rc=$?
+ ;;
+*)
+ echo $"Usage: $0 {start|stop|status|restart|reload|force-reload}"
+ exit 2
esac
exit $rc